package com.phlx.anchorcollect.data.local;




import java.util.List;

/**
 * Created by goldze on 2019/3/26.
 */
public interface LocalDataSource {
    /**
     * 保存用户名
     */
    void saveUserName(String userName);

    /**
     * 保存用户密码
     */
    void savePassword(String password);

    /**
     * 保存电话
     */
    void savePhone(String phone);

    /**
     * 保存Email
     */

    void saveEmail(String email);

    /**
     * 保存频率类型，0高频，1低频
     */
    void saveFrequencyConfig(String frequencyConfig);

    /**
     * 保存Token
     */

    void saveToken(String token);

    /**
     * 获取用户名
     */
    String getUserName();

    /**
     * 获取用户密码
     */
    String getPassword();

    /**
     * 获取用户电话
     */
    String getPhone();

    /**
     * 获取用户邮箱
     */
    String getEmail();

    /**
     * 获取用户频率类型
     */
    String getFrequencyConfig();

    /**
     * 获取Token
     */
    String getToken();






}
